> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization Members



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/members
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/organizations/{organization_id}/members:
    get:
      summary: Organization Members
      operationId: organization_members_v1_organizations__organization_id__members_get
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            title: Organization Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedOrganizationMembers'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedOrganizationMembers:
      additionalProperties: false
      properties:
        invitations:
          items:
            $ref: '#/components/schemas/HostedOrganizationInvitation'
          title: Invitations
          type: array
        members:
          items:
            $ref: '#/components/schemas/HostedOrganizationMember'
          title: Members
          type: array
        organization_id:
          title: Organization Id
          type: string
        roles:
          items:
            $ref: '#/components/schemas/HostedOrganizationRole'
          title: Roles
          type: array
        seats:
          $ref: '#/components/schemas/HostedOrganizationSeats'
        viewer:
          $ref: '#/components/schemas/HostedOrganizationAccess'
      required:
        - organization_id
        - viewer
        - seats
      title: HostedOrganizationMembers
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HostedOrganizationInvitation:
      additionalProperties: false
      properties:
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        email:
          title: Email
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        invitation_id:
          title: Invitation Id
          type: string
        role:
          title: Role
          type: string
        state:
          default: pending
          title: State
          type: string
      required:
        - invitation_id
        - email
        - role
      title: HostedOrganizationInvitation
      type: object
    HostedOrganizationMember:
      additionalProperties: false
      properties:
        avatar_url:
          default: ''
          title: Avatar Url
          type: string
        display_name:
          title: Display Name
          type: string
        email:
          title: Email
          type: string
        membership_id:
          title: Membership Id
          type: string
        role:
          title: Role
          type: string
        status:
          default: active
          title: Status
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - membership_id
        - user_id
        - email
        - display_name
        - role
      title: HostedOrganizationMember
      type: object
    HostedOrganizationRole:
      additionalProperties: false
      properties:
        description:
          default: ''
          title: Description
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
      title: HostedOrganizationRole
      type: object
    HostedOrganizationSeats:
      additionalProperties: false
      properties:
        active:
          title: Active
          type: integer
        blocked:
          default: false
          title: Blocked
          type: boolean
        granted:
          anyOf:
            - type: number
            - type: 'null'
          title: Granted
        overage_allowed:
          default: false
          title: Overage Allowed
          type: boolean
        pending:
          default: 0
          title: Pending
          type: integer
        unlimited:
          default: false
          title: Unlimited
          type: boolean
        used:
          title: Used
          type: integer
      required:
        - active
        - used
      title: HostedOrganizationSeats
      type: object
    HostedOrganizationAccess:
      additionalProperties: false
      properties:
        can_manage_billing:
          default: false
          title: Can Manage Billing
          type: boolean
        can_manage_developers:
          default: false
          title: Can Manage Developers
          type: boolean
        can_manage_enterprise:
          default: false
          title: Can Manage Enterprise
          type: boolean
        can_manage_members:
          default: false
          title: Can Manage Members
          type: boolean
        organization_id:
          title: Organization Id
          type: string
        role:
          title: Role
          type: string
      required:
        - organization_id
        - role
      title: HostedOrganizationAccess
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````